Modify

Opened 4 months ago

Closed 4 weeks ago

Last modified 4 weeks ago

#15744 closed defect (fixed)

Windows / WebStart: access denied ("java.util.PropertyPermission" "os.name" "read")

Reported by: Zian Owned by: Zian
Priority: normal Milestone: 18.04
Component: Core Webstart Version:
Keywords: template_report windows security manager javabug Cc:

Description

What steps will reproduce the problem?

  1. Add a stop sign
  2. Press ALT+A to add another attribute to the stop sign
  3. JOSM will show a dialog titled "You have encountered a bug in JOSM"

What is the expected result?

I expected the dialog for adding a new attribute to appear.

What happens instead?

The "You have encountered a bug in JOSM" dialog appeared.

Please provide any additional information below. Attach a screenshot if possible.

Relative:URL: ^/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2017-12-31 03:09:43 +0100 (Sun, 31 Dec 2017)
Revision:13265
Build-Date:2017-12-31 02:33:46
URL:http://josm.openstreetmap.de/svn/trunk

Identification: JOSM/1.5 (13265 en) Windows 7 64-Bit
OS Build number: Windows 7 Ultimate (7601)
Memory Usage: 336 MB / 1970 MB (66 MB allocated, but free)
Java version: 9.0.1+11, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: \Display0 1600x900, \Display1 1080x1920
Maximum Screen Size: 1600x1920
VM arguments: [--add-modules=ALL-DEFAULT,javafx.deploy, -Djava.security.manager, -Djnlp.application.href=https://josm.openstreetmap.de/download/josm.jnlp, -Djava.util.Arrays.useLegacyMergeSort=true, --add-modules=java.activation,java.se.ee, --add-exports=java.base/sun.security.util=ALL-UNNAMED, --add-exports=java.base/sun.security.x509=ALL-UNNAMED, --add-exports=java.desktop/com.apple.eawt=ALL-UNNAMED, --add-exports=java.desktop/com.sun.imageio.spi=ALL-UNNAMED, --add-exports=javafx.graphics/com.sun.javafx.application=ALL-UNNAMED, --add-exports=jdk.deploy/com.sun.deploy.config=ALL-UNNAMED, --add-opens=java.base/java.lang=ALL-UNNAMED, --add-opens=java.base/jdk.internal.loader=ALL-UNNAMED, --add-opens=java.desktop/javax.imageio.spi=ALL-UNNAMED, --add-opens=java.desktop/javax.swing.text.html=ALL-UNNAMED, --add-opens=java.prefs/java.util.prefs=ALL-UNNAMED, -Djnlpx.jvm=<java.home>\bin\javaw.exe, -Djnlpx.home=<java.home>, -Djnlpx.remove=false, -Djnlpx.offline=false, -Djnlpx.relaunch=true, -Djnlpx.session.data=%UserProfile%\AppData\Local\Temp\session18327023553521185948, -Djnlpx.heapsize=NULL,NULL, -Djava.security.policy=file:<java.home>\conf\security\javaws.policy, -DtrustProxy=true, -Djnlpx.origFilenameArg=%UserProfile%\AppData\LocalLow\Sun\Java\Deployment\cache\6.0\56\1ee8cfb8-36f47514, --illegal-access=deny, --add-modules=ALL-DEFAULT, --add-exports=java.base/com.sun.net.ssl.internal.ssl=jdk.deploy, --add-exports=java.base/jdk.internal.misc=jdk.deploy, --add-exports=java.base/jdk.internal.util.jar=jdk.deploy, --add-exports=java.base/sun.net.www=jdk.deploy, --add-exports=java.base/sun.net.www.protocol.file=jdk.deploy, --add-exports=java.base/sun.net.www.protocol.http=jdk.deploy, --add-exports=java.base/sun.net.www.protocol.http.ntlm=jdk.deploy, --add-exports=java.base/sun.net.www.protocol.https=jdk.deploy, --add-exports=java.base/sun.net.www.protocol.jar=jdk.deploy, --add-exports=java.base/sun.nio=jdk.deploy, --add-exports=java.base/sun.reflect.misc=jdk.deploy, --add-exports=java.base/sun.security.action=jdk.deploy, --add-exports=java.base/sun.security.pkcs=jdk.deploy, --add-exports=java.base/sun.security.provider=jdk.deploy, --add-exports=java.base/sun.security.provider.certpath=jdk.deploy, --add-exports=java.base/sun.security.rsa=jdk.deploy, --add-exports=java.base/sun.security.ssl=jdk.deploy, --add-exports=java.base/sun.security.timestamp=jdk.deploy, --add-exports=java.base/sun.security.util=jdk.deploy, --add-exports=java.base/sun.security.validator=jdk.deploy, --add-exports=java.base/sun.security.x509=jdk.deploy, --add-exports=java.base/sun.usagetracker=jdk.deploy, --add-exports=java.desktop/sun.awt=jdk.deploy, --add-exports=java.naming/com.sun.jndi.toolkit.url=jdk.deploy, --add-exports=java.base/jdk.internal.misc=jdk.javaws, --add-exports=java.desktop/com.sun.media.sound=jdk.javaws, --add-exports=java.desktop/sun.awt=jdk.javaws, --add-exports=java.desktop/sun.awt.image=jdk.javaws, --add-exports=java.base/jdk.internal.misc=jdk.plugin, --add-exports=java.base/sun.net=jdk.plugin, --add-exports=java.base/sun.net.www=jdk.plugin, --add-exports=java.base/sun.net.www.protocol.jar=jdk.plugin, --add-exports=java.base/sun.security.action=jdk.plugin, --add-exports=java.base/sun.security.util=jdk.plugin, --add-exports=java.desktop/com.sun.media.sound=jdk.plugin, --add-exports=java.desktop/java.awt.peer=jdk.plugin, --add-exports=java.desktop/sun.applet=jdk.plugin, --add-exports=java.desktop/sun.applet.resources=jdk.plugin, --add-exports=java.desktop/sun.awt=jdk.plugin, --add-exports=java.desktop/sun.awt.windows=jdk.plugin, --add-exports=java.desktop/sun.swing=jdk.plugin, --add-exports=jdk.jsobject/jdk.internal.netscape.javascript.spi=jdk.plugin, --add-exports=java.desktop/sun.awt.image=jdk.plugin, -Djdk.module.main=jdk.plugin]
Dataset consistency test: No problems found

Plugins:
+ ElevationProfile (33815)
+ InfoMode (33722)
+ Mapillary (v1.5.9)
+ OpeningHoursEditor (33876)
+ apache-commons (33668)
+ apache-http (32699)
+ buildings_tools (33735)
+ imagery_offset_db (33774)
+ measurement (33760)
+ scoutsigns (116)
+ turnrestrictions (33780)
+ utilsplugin2 (33742)

Map paint styles:
+ https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Fixme&zip=1
+ https://raw.githubusercontent.com/species/josm-preset-traffic_sign_direction/master/direction.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Styles/Traffic_signs&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransportV2&zip=1

Last errors/warnings:
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- W: java.io.IOException: Attribution is not loaded yet
- E: Handled by bug report queue: java.security.AccessControlException: access denied ("java.util.PropertyPermission" "os.name" "read")


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-2 (45) of javawsApplicationThreadGroup
java.security.AccessControlException: access denied ("java.util.PropertyPermission" "os.name" "read")
	at java.base/java.security.AccessControlContext.checkPermission(Unknown Source)
	at java.base/java.security.AccessController.checkPermission(Unknown Source)
	at java.base/java.lang.SecurityManager.checkPermission(Unknown Source)
	at jdk.javaws@9.0.1/com.sun.javaws.security.JavaWebStartSecurity.checkPermission(Unknown Source)
	at java.base/java.lang.SecurityManager.checkPropertyAccess(Unknown Source)
	at java.base/java.lang.System.getProperty(Unknown Source)
	at java.desktop/sun.awt.OSInfo.getOSType(Unknown Source)
	at java.desktop/com.sun.java.swing.plaf.windows.WindowsLookAndFeel.isOnVista(Unknown Source)
	at java.desktop/com.sun.java.swing.plaf.windows.WindowsTableHeaderUI$XPDefaultRenderer.getTableCellRendererComponent(Unknown Source)
	at java.desktop/javax.swing.plaf.basic.BasicTableHeaderUI.getHeaderRenderer(Unknown Source)
	at java.desktop/javax.swing.plaf.basic.BasicTableHeaderUI.paintCell(Unknown Source)
	at java.desktop/javax.swing.plaf.basic.BasicTableHeaderUI.paint(Unknown Source)
	at java.desktop/javax.swing.plaf.ComponentUI.update(Unknown Source)
	at java.desktop/javax.swing.JComponent.paintComponent(Unknown Source)
	at java.desktop/javax.swing.JComponent.paint(Unknown Source)
	at java.desktop/javax.swing.JComponent.paintChildren(Unknown Source)
	at java.desktop/javax.swing.JComponent.paint(Unknown Source)
	at java.desktop/javax.swing.JComponent.paintToOffscreen(Unknown Source)
	at java.desktop/javax.swing.RepaintManager$PaintManager.paintDoubleBufferedImpl(Unknown Source)
	at java.desktop/javax.swing.RepaintManager$PaintManager.paintDoubleBuffered(Unknown Source)
	at java.desktop/javax.swing.RepaintManager$PaintManager.paint(Unknown Source)
	at java.desktop/javax.swing.RepaintManager.paint(Unknown Source)
	at java.desktop/javax.swing.JComponent._paintImmediately(Unknown Source)
	at java.desktop/javax.swing.JComponent.paintImmediately(Unknown Source)
	at java.desktop/javax.swing.RepaintManager$4.run(Unknown Source)
	at java.desktop/javax.swing.RepaintManager$4.run(Unknown Source)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.desktop/javax.swing.RepaintManager.paintDirtyRegions(Unknown Source)
	at java.desktop/javax.swing.RepaintManager.paintDirtyRegions(Unknown Source)
	at java.desktop/javax.swing.RepaintManager.prePaintDirtyRegions(Unknown Source)
	at java.desktop/javax.swing.RepaintManager.access$1200(Unknown Source)
	at java.desktop/javax.swing.RepaintManager$ProcessingRunnable.run(Unknown Source)
	at java.desktop/java.awt.event.InvocationEvent.dispatch(Unknown Source)
	at java.desktop/java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.desktop/java.awt.EventQueue.access$500(Unknown Source)
	at java.desktop/java.awt.EventQueue$3.run(Unknown Source)
	at java.desktop/java.awt.EventQueue$3.run(Unknown Source)
	at java.base/java.security.AccessController.doPrivileged(Native Method)
	at java.base/java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.desktop/java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.desktop/java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.desktop/java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.desktop/java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.desktop/java.awt.EventDispatchThread.run(Unknown Source)

Attachments (2)

windows_laf.png (68.8 KB) - added by Don-vip 4 months ago.
JOSM Look and Feel.png (107.1 KB) - added by Zian 4 months ago.
Screenshot of JOSM settings in the Preferences dialog

Download all attachments as: .zip

Change History (34)

comment:1 Changed 4 months ago by Don-vip

Component: CoreCore Webstart
Keywords: windows java9 security manager added
Summary: Crashed While Adding AttributesWindows / Java9 / WebStart: access denied ("java.util.PropertyPermission" "os.name" "read")

comment:2 in reply to:  description ; Changed 4 months ago by Don-vip

Replying to Zian:

at java.desktop/com.sun.java.swing.plaf.windows.WindowsTableHeaderUI$XPDefaultRenderer.getTableCellRendererComponent(Unknown Source)

This seems to indicate you're using the "Windows Classic" look-and-feel. Can you please try with "Windows", see below:


Changed 4 months ago by Don-vip

Attachment: windows_laf.png added

comment:3 Changed 4 months ago by Don-vip

Owner: changed from team to Zian
Status: newneedinfo

comment:4 Changed 4 months ago by Don-vip

Keywords: javabug added

comment:5 Changed 4 months ago by Don-vip

I can't reproduce on Windows 10, either with Windows or Windows Classic look and feel. Can you please also post a screenshot of JOSM when the error occurs?

comment:6 Changed 4 months ago by Don-vip

Up. I need requested information to reproduce this bug.

comment:7 Changed 4 months ago by Don-vip

Zian, can you please answer my questions? I need more information for this bug.

comment:8 in reply to:  2 Changed 4 months ago by Zian

Replying to Don-vip:

Replying to Zian:

at java.desktop/com.sun.java.swing.plaf.windows.WindowsTableHeaderUI$XPDefaultRenderer.getTableCellRendererComponent(Unknown Source)

This seems to indicate you're using the "Windows Classic" look-and-feel. Can you please try with "Windows", see below:


The Preferences dialog says I'm already using "Windows". I'll attach a screen shot.

Screenshot of JOSM settings in the Preferences dialog

Last edited 4 months ago by Zian (previous) (diff)

Changed 4 months ago by Zian

Attachment: JOSM Look and Feel.png added

Screenshot of JOSM settings in the Preferences dialog

comment:9 Changed 4 months ago by Don-vip

OK thank you. Does the error happen each time or just sometimes?

comment:10 in reply to:  9 Changed 4 months ago by Zian

Replying to Don-vip:

OK thank you. Does the error happen each time or just sometimes?

It used to happen a lot. Then, a little while ago, JOSM asked me to disable a plugin so I did. I haven't experienced the problem since. How can I find out which plugin was disabled?

comment:11 Changed 4 months ago by Don-vip

You can compare the jar files present in %APPDATA%\JOSM\plugins and those listed in %APPDATA%\JOSM\preferences.xml (search <list key='plugins'>).

comment:12 Changed 3 months ago by stoecker

Ticket #15904 has been marked as a duplicate of this ticket.

comment:13 Changed 2 months ago by Don-vip

Ticket #16059 has been marked as a duplicate of this ticket.

comment:14 Changed 2 months ago by Zian

I'm assuming that JOSM does not spontaneously re enable plugins. Unfortunately the problem had come back from the dead.

What information would you like me hijo provide the next things the bug occurs?

comment:15 Changed 2 months ago by Zian

Autocorrect typo..

To, not hijo

comment:16 Changed 2 months ago by Don-vip

Ticket #16071 has been marked as a duplicate of this ticket.

comment:17 Changed 2 months ago by Don-vip

from #16071:

You can probably avoid it by using JOSM jar or Windows installer instead of WebStart. Maybe upgrading to Windows 10 would also resolve the problem.

Can you please try one of these methods and tell us if it solves the problem?

comment:18 Changed 2 months ago by Zian

I've removed JOSM from the Java Cache and reinstalled it from the JNLP. Hopefully this will suffice. If not, I will try using the Windows installer.

comment:19 Changed 2 months ago by Don-vip

Ticket #16105 has been marked as a duplicate of this ticket.

comment:20 Changed 7 weeks ago by Don-vip

Java 10 has been released, can you please try to update and see if it solves the problem?

comment:21 Changed 6 weeks ago by Klumbumbus

I'm able to reproduce this error. For me it seems it has to do with loading images from external resources. Steps:

  1. enable the mappaint style "Wheelchair Routing Attributes" (it references icons with Github URLs)
  2. zoom in
  3. create a node with barrier=kerb and kerb=flush
  4. copy this node
  5. create a second node
  6. use paste tags on the second tab

second way to reproduce it after the first steps:

  1. note that for a short time the clock icon is displayed until the icon is loaded
  2. select a kerb note if it was unselected
  3. note that in the selection panel still the clock is displayed
  4. hover over the clock and wait until the mouse over popup should appear
URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2018-04-06 18:45:46 +0200 (Fri, 06 Apr 2018)
Build-Date:2018-04-07 01:34:02
Revision:13601
Relative:URL: ^/trunk

Identification: JOSM/1.5 (13601 de) Windows 10 64-Bit
OS Build number: Windows 10 Pro 1709 (16299)
Memory Usage: 1929 MB / 3641 MB (642 MB allocated, but free)
Java version: 1.8.0_161-b12, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: \Display0 1680x1050
Maximum Screen Size: 1680x1050
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files (x86)\josm-latest-mehr-RAM.jnlp, -Djnlpx.remove=true, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=1024m,4096m, -Djnlpx.splashport=57879, -Djnlpx.jvm=<java.home>\bin\javaw.exe]
Dataset consistency test: No problems found

Plugins:
+ DirectUpload (34109)
+ HouseNumberTaggingTool (34109)
+ Mapillary (v1.5.10)
+ OpeningHoursEditor (34095)
+ apache-commons (34109)
+ apache-http (34109)
+ buildings_tools (34109)
+ editgpx (34109)
+ ejml (34126)
+ geotools (34125)
+ imagery-xml-bounds (34109)
+ imagery_offset_db (34109)
+ jogl (1.1.0)
+ jts (34038)
+ log4j (34038)
+ measurement (34109)
+ reltoolbox (34130)
+ reverter (34109)
+ tag2link (34109)
+ tageditor (34109)
+ tagging-preset-tester (34109)
+ terracer (34109)
+ turnlanes-tagging (263)
+ turnrestrictions (34129)
+ undelete (34109)
+ utilsplugin2 (34109)
+ wikipedia (34109)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/OneClick&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/StolpersteineLight&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewTags&zip=1
+ %UserProfile%\Documents\OSM\josm\data\defaultpresets.xml
+ %UserProfile%\Documents\OSM\TestNew\newpresets.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/PhilippinesAddresses&zip=1

Map paint styles:
- %UserProfile%\Downloads\elemstyles7378.mapcss
- %UserProfile%\Documents\OSM\josm\styles\standard\elemstyles.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/HiDPISupport&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/NewHighwayColors&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
- %UserProfile%\Documents\OSM\TestNew\newicons.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/sac_scale&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ShowID&zip=1
- %UserProfile%\Documents\OSM\eigene styles\PriorityRoad\PriorityRoad_1.0.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LayerChecker&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Modified&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Surface&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Osmc&style&zip=1
+ https://raw.githubusercontent.com/species/josm-preset-wheelchair/master/sidewalks_kerbs.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LitObjects&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lit&style&zip=1
- %UserProfile%\Documents\OSM\eigene styles\Tourenplanung.mapcss
- %UserProfile%\Documents\OSM\eigene styles\SpecificBuildingValues\SpecificBuildingValues.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_buildings&zip=1
- https://github.com/bastik/mapcss-tools/raw/osm/mapnik2mapcss/osm-results/mapnik.zip
- %UserProfile%\Documents\OSM\eigene styles\area-symbol.zip
- http://www.freietonne.de/ft_icons/josm/FreieTonne_rules_presets_zip.php
- http://www.openrailwaymap.org/styles/standard.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/MaxspeedIcons&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/DestinationSignRelation&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Incline&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PTStops&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/AdvertisingStyle&zip=1
- https://www.dropbox.com/s/qo3ai47fpv241jf/Styles_Fixme_and_Notes.zip?raw=1
- https://github.com/gmgeo/osmic-josm-style/archive/master.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/hazmat&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Suburb&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Postcode&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/RecyclingMaterials&zip=1
- %UserProfile%\Documents\OSM\eigene styles\maxspeed\maxspeed_2.9_01 basierend auf 2.7_02 Zahlen.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Bench&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransportV2&zip=1
- %UserProfile%\Documents\OSM\eigene styles\colourtag\colourtag_1.0.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/ColourTag&zip=1

Validator rules:
+ https://raw.githubusercontent.com/<user.name>n-a-bauer/josm-validators/master/mtb.validator.mapcss
+ %UserProfile%\Documents\OSM\TestNew\new.validator.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Rules/GermanySpecific&zip=1
- %UserProfile%\Documents\OSM\TestNew\germ.validator.mapcss
- https://josm.openstreetmap.de/josmfile?page=Rules/CzechRepublicAddressSystem&zip=1
+ https://github.com/Jungle-Bus/transport_mapcss/raw/master/transport.validator.zip

Last errors/warnings:
- E: Fehler beim Laden des Bildes 'dialogs/mappaint/josm_small.png'
- W: Mappaint style "standard" (7378) icon "dialogs/mappaint/josm_small.png" not found.
- E: java.io.IOException: Die angeforderte URL https://osmlab.github.io/editor-layer-index/imagery.xmlx wurde nicht gefunden
- W: No configuration settings found.  Using hardcoded default values for all pools.
- E: Handled by bug report queue: java.security.AccessControlException: access denied ("java.util.PropertyPermission" "os.name" "read")
- E: Handled by bug report queue: java.security.AccessControlException: access denied ("java.util.PropertyPermission" "os.name" "read")
- E: Handled by bug report queue: java.security.AccessControlException: access denied ("java.util.PropertyPermission" "os.name" "read")
- E: Handled by bug report queue: java.security.AccessControlException: access denied ("java.util.PropertyPermission" "os.name" "read")


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-2 (52) of javawsApplicationThreadGroup
java.security.AccessControlException: access denied ("java.util.PropertyPermission" "os.name" "read")
	at java.security.AccessControlContext.checkPermission(Unknown Source)
	at java.security.AccessController.checkPermission(Unknown Source)
	at java.lang.SecurityManager.checkPermission(Unknown Source)
	at com.sun.javaws.security.JavaWebStartSecurity.checkPermission(Unknown Source)
	at java.lang.SecurityManager.checkPropertyAccess(Unknown Source)
	at java.lang.System.getProperty(Unknown Source)
	at sun.awt.OSInfo.getOSType(Unknown Source)
	at com.sun.java.swing.plaf.windows.WindowsLookAndFeel.isOnVista(Unknown Source)
	at com.sun.java.swing.plaf.windows.WindowsTableHeaderUI$XPDefaultRenderer.getTableCellRendererComponent(Unknown Source)
	at javax.swing.plaf.basic.BasicTableHeaderUI.getHeaderRenderer(Unknown Source)
	at javax.swing.plaf.basic.BasicTableHeaderUI.paintCell(Unknown Source)
	at javax.swing.plaf.basic.BasicTableHeaderUI.paint(Unknown Source)
	at javax.swing.plaf.ComponentUI.update(Unknown Source)
	at javax.swing.JComponent.paintComponent(Unknown Source)
	at javax.swing.JComponent.paint(Unknown Source)
	at javax.swing.JComponent.paintChildren(Unknown Source)
	at javax.swing.JComponent.paint(Unknown Source)
	at javax.swing.JComponent.paintToOffscreen(Unknown Source)
	at javax.swing.RepaintManager$PaintManager.paintDoubleBuffered(Unknown Source)
	at javax.swing.RepaintManager$PaintManager.paint(Unknown Source)
	at javax.swing.RepaintManager.paint(Unknown Source)
	at javax.swing.JComponent._paintImmediately(Unknown Source)
	at javax.swing.JComponent.paintImmediately(Unknown Source)
	at javax.swing.RepaintManager$4.run(Unknown Source)
	at javax.swing.RepaintManager$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at javax.swing.RepaintManager.paintDirtyRegions(Unknown Source)
	at javax.swing.RepaintManager.paintDirtyRegions(Unknown Source)
	at javax.swing.RepaintManager.prePaintDirtyRegions(Unknown Source)
	at javax.swing.RepaintManager.access$1200(Unknown Source)
	at javax.swing.RepaintManager$ProcessingRunnable.run(Unknown Source)
	at java.awt.event.InvocationEvent.dispatch(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

comment:22 Changed 6 weeks ago by Don-vip

Keywords: java9 removed
Summary: Windows / Java9 / WebStart: access denied ("java.util.PropertyPermission" "os.name" "read")Windows / WebStart: access denied ("java.util.PropertyPermission" "os.name" "read")

comment:23 Changed 4 weeks ago by Don-vip

Resolution: duplicate
Status: needinfoclosed

Closed as duplicate of #16204.
Probably fixed through #16204.

comment:24 Changed 4 weeks ago by Klumbumbus

Resolution: duplicate
Status: closedreopened

Sorry to reopen, but I still can reproduce it like written in comment:21

URL:https://josm.openstreetmap.de/svn/trunk
Repository:UUID: 0c6e7542-c601-0410-84e7-c038aed88b3b
Last:Changed Date: 2018-04-19 23:04:48 +0200 (Thu, 19 Apr 2018)
Build-Date:2018-04-20 01:31:54
Revision:13650
Relative:URL: ^/trunk

Identification: JOSM/1.5 (13650 de) Windows 10 64-Bit
OS Build number: Windows 10 Pro 1709 (16299)
Memory Usage: 1648 MB / 3641 MB (1127 MB allocated, but free)
Java version: 1.8.0_171-b11, Oracle Corporation, Java HotSpot(TM) 64-Bit Server VM
Screen: \Display0 1680x1050
Maximum Screen Size: 1680x1050
VM arguments: [-Djava.security.manager, -Djava.security.policy=file:<java.home>\lib\security\javaws.policy, -DtrustProxy=true, -Djnlpx.home=<java.home>\bin, -Djnlpx.origFilenameArg=C:\Program Files (x86)\josm-latest-mehr-RAM.jnlp, -Djnlpx.remove=false, -Djava.util.Arrays.useLegacyMergeSort=true, -Djnlpx.heapsize=1024m,4096m, -Djnlpx.splashport=63000, -Djnlpx.jvm=<java.home>\bin\javaw.exe]
Dataset consistency test: No problems found

Plugins:
+ DirectUpload (34109)
+ HouseNumberTaggingTool (34109)
+ Mapillary (v1.5.10)
+ OpeningHoursEditor (34095)
+ apache-commons (34109)
+ apache-http (34109)
+ buildings_tools (34109)
+ editgpx (34109)
+ ejml (34126)
+ geotools (34125)
+ imagery-xml-bounds (34109)
+ imagery_offset_db (34109)
+ jogl (1.1.0)
+ jts (34038)
+ log4j (34038)
+ measurement (34109)
+ reltoolbox (34130)
+ reverter (34109)
+ tag2link (34109)
+ tageditor (34109)
+ tagging-preset-tester (34109)
+ terracer (34109)
+ turnlanes-tagging (263)
+ turnrestrictions (34129)
+ undelete (34109)
+ utilsplugin2 (34109)
+ wikipedia (34159)

Tagging presets:
+ https://josm.openstreetmap.de/josmfile?page=Presets/OneClick&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/StolpersteineLight&zip=1
+ https://josm.openstreetmap.de/josmfile?page=Presets/NewTags&zip=1
+ %UserProfile%\Documents\OSM\josm\data\defaultpresets.xml
+ %UserProfile%\Documents\OSM\TestNew\newpresets.xml
+ https://josm.openstreetmap.de/josmfile?page=Presets/PhilippinesAddresses&zip=1

Map paint styles:
+ %UserProfile%\Documents\OSM\josm\styles\standard\elemstyles.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/HiDPISupport&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/NewHighwayColors&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Streets&zip=1
- %UserProfile%\Documents\OSM\TestNew\newicons.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Maxspeed&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lane_and_Road_Attributes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/sac_scale&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ShowID&zip=1
- %UserProfile%\Documents\OSM\eigene styles\PriorityRoad\PriorityRoad_1.0.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LayerChecker&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Modified&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Surface&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Sidewalks&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Cycleways&style&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Osmc&style&zip=1
+ https://raw.githubusercontent.com/species/josm-preset-wheelchair/master/sidewalks_kerbs.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/LitObjects&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Lit&style&zip=1
- %UserProfile%\Documents\OSM\eigene styles\Tourenplanung.mapcss
- %UserProfile%\Documents\OSM\eigene styles\SpecificBuildingValues\SpecificBuildingValues.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_buildings&zip=1
- https://github.com/bastik/mapcss-tools/raw/osm/mapnik2mapcss/osm-results/mapnik.zip
- %UserProfile%\Documents\OSM\eigene styles\area-symbol.zip
- http://www.freietonne.de/ft_icons/josm/FreieTonne_rules_presets_zip.php
- http://www.openrailwaymap.org/styles/standard.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/MaxspeedIcons&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/DestinationSignRelation&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/ParkingLanes&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Incline&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PTStops&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/AdvertisingStyle&zip=1
- https://www.dropbox.com/s/qo3ai47fpv241jf/Styles_Fixme_and_Notes.zip?raw=1
- https://github.com/gmgeo/osmic-josm-style/archive/master.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/hazmat&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Suburb&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/Coloured_Postcode&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/RecyclingMaterials&zip=1
- %UserProfile%\Documents\OSM\eigene styles\maxspeed\maxspeed_2.9_01 basierend auf 2.7_02 Zahlen.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/Bench&zip=1
- https://josm.openstreetmap.de/josmfile?page=Styles/PublicTransportV2&zip=1
- %UserProfile%\Documents\OSM\eigene styles\colourtag\colourtag_1.0.mapcss
- https://josm.openstreetmap.de/josmfile?page=Styles/ColourTag&zip=1
- %UserProfile%\Downloads\coloured_kerbs_style.zip
- https://josm.openstreetmap.de/josmfile?page=Styles/Admin_Boundaries&zip=1

Validator rules:
+ https://raw.githubusercontent.com/<user.name>n-a-bauer/josm-validators/master/mtb.validator.mapcss
+ %UserProfile%\Documents\OSM\TestNew\new.validator.mapcss
+ https://josm.openstreetmap.de/josmfile?page=Rules/GermanySpecific&zip=1
- %UserProfile%\Documents\OSM\TestNew\germ.validator.mapcss
- https://josm.openstreetmap.de/josmfile?page=Rules/CzechRepublicAddressSystem&zip=1
+ https://github.com/Jungle-Bus/transport_mapcss/raw/master/transport.validator.zip

Last errors/warnings:
- W: No configuration settings found.  Using hardcoded default values for all pools.
- E: Handled by bug report queue: java.security.AccessControlException: access denied ("java.util.PropertyPermission" "os.name" "read")


=== REPORTED CRASH DATA ===
BugReportExceptionHandler#handleException:
No data collected.

Warning issued by: BugReportExceptionHandler#handleException

=== STACK TRACE ===
Thread: AWT-EventQueue-2 (48) of javawsApplicationThreadGroup
java.security.AccessControlException: access denied ("java.util.PropertyPermission" "os.name" "read")
	at java.security.AccessControlContext.checkPermission(Unknown Source)
	at java.security.AccessController.checkPermission(Unknown Source)
	at java.lang.SecurityManager.checkPermission(Unknown Source)
	at com.sun.javaws.security.JavaWebStartSecurity.checkPermission(Unknown Source)
	at java.lang.SecurityManager.checkPropertyAccess(Unknown Source)
	at java.lang.System.getProperty(Unknown Source)
	at sun.awt.OSInfo.getOSType(Unknown Source)
	at com.sun.java.swing.plaf.windows.WindowsLookAndFeel.isOnVista(Unknown Source)
	at com.sun.java.swing.plaf.windows.WindowsTableHeaderUI$XPDefaultRenderer.getTableCellRendererComponent(Unknown Source)
	at javax.swing.plaf.basic.BasicTableHeaderUI.getHeaderRenderer(Unknown Source)
	at javax.swing.plaf.basic.BasicTableHeaderUI.paintCell(Unknown Source)
	at javax.swing.plaf.basic.BasicTableHeaderUI.paint(Unknown Source)
	at javax.swing.plaf.ComponentUI.update(Unknown Source)
	at javax.swing.JComponent.paintComponent(Unknown Source)
	at javax.swing.JComponent.paint(Unknown Source)
	at javax.swing.JComponent.paintChildren(Unknown Source)
	at javax.swing.JComponent.paint(Unknown Source)
	at javax.swing.JComponent.paintToOffscreen(Unknown Source)
	at javax.swing.RepaintManager$PaintManager.paintDoubleBuffered(Unknown Source)
	at javax.swing.RepaintManager$PaintManager.paint(Unknown Source)
	at javax.swing.RepaintManager.paint(Unknown Source)
	at javax.swing.JComponent._paintImmediately(Unknown Source)
	at javax.swing.JComponent.paintImmediately(Unknown Source)
	at javax.swing.RepaintManager$4.run(Unknown Source)
	at javax.swing.RepaintManager$4.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at javax.swing.RepaintManager.paintDirtyRegions(Unknown Source)
	at javax.swing.RepaintManager.paintDirtyRegions(Unknown Source)
	at javax.swing.RepaintManager.prePaintDirtyRegions(Unknown Source)
	at javax.swing.RepaintManager.access$1200(Unknown Source)
	at javax.swing.RepaintManager$ProcessingRunnable.run(Unknown Source)
	at java.awt.event.InvocationEvent.dispatch(Unknown Source)
	at java.awt.EventQueue.dispatchEventImpl(Unknown Source)
	at java.awt.EventQueue.access$500(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.awt.EventQueue$3.run(Unknown Source)
	at java.security.AccessController.doPrivileged(Native Method)
	at java.security.ProtectionDomain$JavaSecurityAccessImpl.doIntersectionPrivilege(Unknown Source)
	at java.awt.EventQueue.dispatchEvent(Unknown Source)
	at java.awt.EventDispatchThread.pumpOneEventForFilters(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForFilter(Unknown Source)
	at java.awt.EventDispatchThread.pumpEventsForHierarchy(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
	at java.awt.EventDispatchThread.run(Unknown Source)

comment:25 Changed 4 weeks ago by Klumbumbus

The original error of Zian was triggered by his enabled style https://raw.githubusercontent.com/species/josm-preset-traffic_sign_direction/master/direction.mapcss which has the code

node[highway=~/^(give_way|stop|traffic_signals)/]!:connection < way[highway][oneway!~/yes|-1/]
{
  repeat-image: "https://github.com/species/josm-preset-wheelchair/raw/master/incline_up_steps.png";
  repeat-image-spacing: 90;
  repeat-image-width: 24;
}

comment:26 in reply to:  24 Changed 4 weeks ago by Don-vip

Replying to Klumbumbus:

Sorry to reopen, but I still can reproduce it

Don't be sorry to reproduce a bug, never ;) Thank you, I'm checking right now.

comment:27 Changed 4 weeks ago by Don-vip

In 13652/josm:

see #15744 - add/rework traces

comment:28 Changed 4 weeks ago by Don-vip

Milestone: 18.04

comment:29 Changed 4 weeks ago by Don-vip

With r13652 and --trace I can finally understand what's going on:

2018-04-21 01:48:25.670 FINEST: get ImageProvider [dirs=[resource://images/], id=mappaint.standard, name=https://github.com/species/josm-preset-wheelchair/raw/master/kerb_unknown.png] from Thread[image-fetcher-0,5,javawsApplicationThreadGroup]
2018-04-21 01:48:25.670 FINEST: get ImageProvider [name=clock] from Thread[AWT-EventQueue-2,6,javawsApplicationThreadGroup]
BENCHMARK: rendering phase 1 (calculate styles): 0 ms; phase 2 (draw): 0 ms; total: 0 ms (scale: 724.0397467914673 zoom level: 14)
2018-04-21 01:48:25.670 FINEST: Repaint: org.openstreetmap.josm.gui.mappaint.styleelement.MapImage.lambda$getImage$0(MapImage.java:154) from Thread[ForkJoinPool.commonPool-worker-2,5,InnocuousForkJoinWorkerThreadGroup]
2018-04-21 01:48:25.686 FINEST: get ImageProvider [name=clock] from Thread[AWT-EventQueue-2,6,javawsApplicationThreadGroup]
2018-04-21 01:48:25.686 FINEST: get ImageProvider [dirs=[resource://images/], id=mappaint.standard, name=https://github.com/species/josm-preset-wheelchair/raw/master/kerb_unknown.png] from Thread[image-fetcher-0,5,javawsApplicationThreadGroup]
2018-04-21 01:48:25.686 FINEST: Repaint: org.openstreetmap.josm.gui.mappaint.styleelement.MapImage.lambda$getImage$0(MapImage.java:154) from Thread[ForkJoinPool.commonPool-worker-2,5,InnocuousForkJoinWorkerThreadGroup]
2018-04-21 01:48:25.686 SEVERE: Handled by bug report queue: java.security.AccessControlException: access denied ("java.util.PropertyPermission" "os.name" "read")

We call repaint() from a thread without any permission (Thread[ForkJoinPool.commonPool-worker-2,5,InnocuousForkJoinWorkerThreadGroup]). Same problem than ticket:16204#comment:10 / ticket:15722#comment:7. It triggers a new AWT event queue AWT-EventQueue-2 with the same permissions than parent thread: none.

comment:30 Changed 4 weeks ago by Don-vip

Resolution: fixed
Status: reopenedclosed

In 13653/josm:

fix #15744 - Don't use ForkJoinPool.commonPool for async image fetch, causes problems with WebStart

comment:31 Changed 4 weeks ago by Don-vip

Stefan, your scenario to reproduce the bug was crucial to fix this issue. It was absolutely impossible to understand with only the error message we got from Java. Thanks a lot!

comment:32 Changed 4 weeks ago by Klumbumbus

You're welcome. But you did the main work, I did only discovers this bug accidentally :)

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The owner will remain Zian.
as The resolution will be set.
The resolution will be deleted.

Add Comment


E-mail address and name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.